Page MenuHomePhabricator

Fix up the UploadWizard-api for beta cluster
Closed, ResolvedPublic

Description

UploadWizard-api smoke test is broken. Should be enhanced / unbroke and have it ping release engineering on IRC whenever it is broken.

While at it, move the JJB definition out of browsertests.yaml things, since that is going away soonish ™

Event Timeline

hashar created this task.May 9 2016, 8:24 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptMay 9 2016, 8:24 AM
Restricted Application added subscribers: Zppix, Steinsplitter, Aklapper. · View Herald Transcript
Restricted Application added a subscriber: Matanya. · View Herald TranscriptMay 9 2016, 8:25 AM
hashar triaged this task as Low priority.May 9 2016, 8:25 AM
hashar added a project: WorkType-Maintenance.

Where would I even find the UploadWizard-api smoke test? I was under the impression that we deleted all the broken browser tests.

It is not an a browser tests / Selenium based job. The code is some python scripts in mediawiki/extensions/UploadWizard which is more of an integration tests targeting the production commons.wikimedia.org

Was/is meant to assert that UploadWizard works properly on production. Turned out to be broken because the Python module PIL got relocated to some other place.

Ideally, the script should be ported from PIL to pillow.

hashar removed hashar as the assignee of this task.May 10 2016, 12:52 PM

Oh, I see it now. But please don't restore running it for production. We agreed previously not to do this (T115465).

Change 289634 had a related patch set uploaded (by Hashar):
tests: fix PIL requirement definition

https://gerrit.wikimedia.org/r/289634

Change 289634 merged by jenkins-bot:
tests: fix PIL requirement definition

https://gerrit.wikimedia.org/r/289634

hashar closed this task as Resolved.May 19 2016, 12:47 PM
hashar claimed this task.

I have fixed the way PIL is installed. Job is all green now.